#!/bin/sh

#=================== N-O-V-O-R ===================
#   NOVOR: Real-time Peptide de Novo Sequencing
#=============== www.rapidnovor.org ==============
#
# Please refer to the EULA files for licensing information.

if test -n "${JAVA_HOME}"; then
	if test -z "${JAVA_EXE}"; then
		JAVA_EXE=$JAVA_HOME/bin/java
	fi
fi

if test -z "${JAVA_EXE}"; then
	JAVA_EXE=java
fi

NULL=`$JAVA_EXE -version 2>&1`
if test $? -ne 0; then
	echo "Novor is not able to detect Java. Please make sure JAVA_HOME or PATH environment variable is set correctly."
	echo "Or download and install Java from \"http://www.oracle.com/technetwork/java/javase/downloads/\"."
	echo "Welcome to visit \"http://cloud.rapidnovor.org/\", no Java installation needed."
	echo
	exit 1
fi

BIT=`$JAVA_EXE -version 2>&1 | grep -o "64-Bit"`
if test -n "${BIT}"; then
	JVMOPT="-Xmx4g"
else
	JVMOPT="-Xmx1638m"
fi

script=`/bin/ls -l $0 | awk '{ print $NF; }'`
while test -h "$script"; do
	script=`/bin/ls -l $script | awk '{ print $NF; }'`
done

NOVOR_HOME=`dirname $script`
if test -f $NOVOR_HOME/lib/novor.jar; then
	NOVOR_JAR="$NOVOR_HOME/lib/novor.jar"
elif test -f $NOVOR_HOME/../lib/novor.jar; then
	NOVOR_JAR="$NOVOR_HOME/../lib/novor.jar"
fi

PARAM=""
until [ $# -eq 0 ]; do
	PARAM="$PARAM $1"
	shift
done

exec $JAVA_EXE $JVMOPT -jar $NOVOR_JAR $PARAM
